org.apache.solr.client.solrj.impl

## Class SolrHttpClientBuilder

- java.lang.Object
- - org.apache.solr.client.solrj.impl.SolrHttpClientBuilder

    public class SolrHttpClientBuilder
    extends Object

Builder class for configuring internal HttpClients. This relies on the internal HttpClient implementation and is subject to change.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Nested Class Summary

Nested Classes
`static interface` `SolrHttpClientBuilder.AuthSchemeRegistryProvider`
`static interface` `SolrHttpClientBuilder.CookieSpecRegistryProvider`
`static interface` `SolrHttpClientBuilder.CredentialsProviderProvider`
`static interface` `SolrHttpClientBuilder.HttpRequestInterceptorProvider`

### Constructor Summary

Constructors
`protected` `SolrHttpClientBuilder()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static SolrHttpClientBuilder` `create()`
`SolrHttpClientBuilder.AuthSchemeRegistryProvider` `getAuthSchemeRegistryProvider()`
`SolrHttpClientBuilder.CookieSpecRegistryProvider` `getCookieSpecRegistryProvider()`
`SolrHttpClientBuilder.CredentialsProviderProvider` `getCredentialsProviderProvider()`
`SolrHttpClientBuilder` `setAuthSchemeRegistryProvider(SolrHttpClientBuilder.AuthSchemeRegistryProvider authSchemeRegistryProvider)`
`SolrHttpClientBuilder` `setCookieSpecRegistryProvider(SolrHttpClientBuilder.CookieSpecRegistryProvider cookieSpecRegistryProvider)`
`SolrHttpClientBuilder` `setDefaultCredentialsProvider(SolrHttpClientBuilder.CredentialsProviderProvider credentialsProviderProvider)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SolrHttpClientBuilder

    protected SolrHttpClientBuilder()

### Method Detail

#### create

    public static SolrHttpClientBuilder create()

#### setCookieSpecRegistryProvider

    public final SolrHttpClientBuilder setCookieSpecRegistryProvider(SolrHttpClientBuilder.CookieSpecRegistryProvider cookieSpecRegistryProvider)

#### setDefaultCredentialsProvider

    public final SolrHttpClientBuilder setDefaultCredentialsProvider(SolrHttpClientBuilder.CredentialsProviderProvider credentialsProviderProvider)

#### setAuthSchemeRegistryProvider

    public final SolrHttpClientBuilder setAuthSchemeRegistryProvider(SolrHttpClientBuilder.AuthSchemeRegistryProvider authSchemeRegistryProvider)

#### getAuthSchemeRegistryProvider

    public SolrHttpClientBuilder.AuthSchemeRegistryProvider getAuthSchemeRegistryProvider()

#### getCookieSpecRegistryProvider

    public SolrHttpClientBuilder.CookieSpecRegistryProvider getCookieSpecRegistryProvider()

#### getCredentialsProviderProvider

    public SolrHttpClientBuilder.CredentialsProviderProvider getCredentialsProviderProvider()